/*
 *   Copyright 2013 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.types;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

/**
 * @author Brian Rosenberger, bru(at)brutex.de
 *
 */
@XmlRootElement
public class NamespaceListType
{
  private List<NamespaceType> list = new ArrayList<NamespaceType>();

  /**
 * @return
 */
@XmlElement(name="namespace")
  public List<NamespaceType> getNamespaces() {
    return this.list;
  }

  /**
 * @param ns
 */
public void addNamespace(NamespaceType ns) {
    this.list.add(ns);
  }

  /**
 * 
 */
public void clearNamespaceList() {
    this.list.clear();
  }
}
